
== Changelog ==

= 2.6.5 2026-06-22 =
* [Compatibility] – Tested OK with WooCommerce 10.8.1

= 2.6.4 2026-05-26 =
* [Compatibility] - Tested OK with WordPress 7.0
* [Fix] - Vulnerability. Thanks to @nacento for reporting the issue.
* [Improvement] - Added parent_slug support for product category export/import.

= 2.6.3 2026-05-06 =
* [Compatibility] - Tested OK with WordPress 6.9.4
* [Compatibility] – Tested OK with WooCommerce 10.7.0
* [Fix] - Minor fixes.

= 2.6.2 2026-03-10 =
* [Compatibility] – Tested OK with WooCommerce 10.5.3
* [Improvement] – Improved import/export file naming: replaced underscores with hyphens and switched timestamps to 24-hour format.
* [Improvement] – UI tweaks.
* [Improvement] – Improved Product Status filter.

= 2.6.1 2026-2-16 =
* [Compatibility] - Tested OK with WordPress 6.9.1
* [Compatibility] – Tested OK with WooCommerce 10.5.1
* [Improvement] - Enhancements to the import mapping screen.
* [Fix] - Resolved an issue where the banner reappeared after dismissal on page reload.

= 2.6.0 2026-1-26 =
* [Compatibility] – Tested OK with WooCommerce 10.4.3
* [Update] - Updated translation template (POT file)

= 2.5.9 2025-12-05 =
* [Compatibility] - Tested OK with WordPress 6.9
* [Compatibility] – Tested OK with WooCommerce 10.3.6

= 2.5.8 2025-11-07 =
* [Compatibility] – Tested OK with WooCommerce 10.3.4
* [Fix] Vulnerability. Thanks to Legion Hunter for reporting the issue.

= 2.5.7 2025-10-30 =
* [Compatibility] – Tested OK with WooCommerce 10.3.3
* [Compatibility] – Tested OK with WordPress 6.8.3
* [Add] - New Brand filter in export to allow exporting products by brand
* [Update] – Plugin Check Plugin fixes.

= 2.5.6 2025-09-02 =
* [Compatibility] - Tested OK with WooCommerce 10.1.2
* [Improvement] - Enhancements to the import mapping screen.

= 2.5.5 2025-07-18 =
* [Compatibility] - Tested OK with WordPress 6.8.2
* [Compatibility] - Tested OK with WooCommerce 10.0.2

= 2.5.4 2025-06-03 =
* [Add] - Popup warning during product export if variable/custom product types are present on the export site.
* [Fix] - load_text_domain warning resolved to support WordPress 6.7+ compatibility.
* [Compatibility] - Tested OK with WordPress 6.8
* [Compatibility] - Tested OK with WooCommerce 9.8.5

= 2.5.3 2025-04-04 =
* [Fix] - Issues with exporting the gallery images.
= 2.5.2 2025-04-04 =
* [Fix] - Missing gallery images while product export.
* [Compatibility] - Tested OK with WooCommerce 9.7.1

= 2.5.1 2025-03-25 =
* [Fix] - Vulnerable to Server-Side Request Forgery.
* [Fix] - Vulnerable to Arbitrary File Deletion.
* [Fix] - Vulnerable to PHP Object Injection.
* [Fix] - Vulnerable to Directory Traversal.
* [Fix] - CTA Banners.

= 2.5.0 2025-02-28 =
* [Add] - Feature request functionality.
* [Add] - New header section.
* [Add] - Help button.
* [Add] - Setup guide, FAQ, and support contact link.
* [Add] - New review banner for feedback.
* [Compatibility] - Tested OK with WooCommerce 9.7.0
* [Compatibility] - Tested OK with WordPress 6.7.2

= 2.4.9 2024-12-17 =
* [Compatibility] - Tested OK with WooCommerce 9.4.3
* [Compatibility] - Tested OK with WordPress 6.7.1

= 2.4.8 2024-11-07 =
* [Compatibility]- Tested Ok with WooCommerce 9.3.3
* [Compatibility] - Tested OK with WordPress 6.6.2

= 2.4.7 2024-10-22 =
* [Add]- Added Support for Global Unique identifier Import and Export.
* [Compatibility]- Tested Ok with WooCommerce 9.3.3
* [Compatibility] - Tested OK with WordPress 6.6.2

= 2.4.6 2024-08-30 =
* [Compatibility]-Tested Ok with WooCommerce 9.2.3
* [Compatibility] - Tested OK with WordPress 6.6.1

= 2.4.5 2024-07-15 =
* [Compatibility]-Tested Ok with WooCommerce 9.1.2
* [Compatibility] - Tested OK with WordPress 6.6

= 2.4.4 2024-05-09 =
* [Compatibility]-Tested Ok with WooCommerce 8.8.3
* [Compatibility] - Tested OK with WordPress 6.5.3

= 2.4.3 2024-03-26 =
* [Improvement] - Implemented a user interface update for the import/export screen, transitioning to a card-based layout for post type selection.
* [Compatibility]-Tested Ok with WooCommerce 8.7.0
* [Compatibility] - Tested OK with WordPress 6.5

= 2.4.2 2024-02-28 =
* [Fix] - Added Image extension restriction in product category.
* [Compatibility]-Tested Ok with WooCommerce 8.6.1

= 2.4.1 2024-02-08 =
* [Fix] - Invalid Filetype CSV.
* [Compatibility]-Tested Ok with WooCommerce 8.5.2
* [Compatibility] - Tested OK with WordPress 6.4.3

= 2.4.0 2024-01-17 =
* [Fix] - Invalid Filetype CSV.
* [Compatibility]-Tested Ok with WooCommerce 8.5

= 2.3.9 2023-12-28 =
* [Fix] - Invalid Filetype CSV in Windows OS/Firefox.

= 2.3.8 2023-12-19 =
* [Compatibility] - Tested OK with WooCommerce 8.4
* [Compatibility] - Tested OK with WordPress 6.4.2
* [Fix] - File type validation on the ‘upload_import_file’ function.

= 2.3.7 2023-11-21 =
* [Compatibility] - Tested OK with WooCommerce 8.3

= 2.3.6 2023-11-13 =
* [Compatibility] - Tested OK with WooCommerce 8.2.2
* [Compatibility] - Tested OK with WordPress 6.4.1

= 2.3.5 2023-10-17 =
* [Add] - Compatibility with WebToffee WooCommerce Product Feed & Sync Manager Plugin.
* [Compatibility] - Tested OK with WooCommerce 8.2
* [Compatibility] - Tested OK with WordPress 6.3.2

= 2.3.4 2023-09-19 =
* [Add] - ChatGPT error log.
* [Compatibility] - Tested OK with WooCommerce 8.1

= 2.3.3 2023-08-22 =
* [Fix] - Post author import not working.
* [Compatibility] - Tested OK with WooCommerce 8.0.2
* [Compatibility] - Tested OK with WordPress 6.3

= 2.3.2 2023-07-13 =
* [Fix] - 'null' value exported to the stock column if manage stock is disabled
* [Fix] - Variable products are converted as simple products when updating
* [Update] - Tested OK with WooCommerce 7.8.2

= 2.3.1 2023-06-12 =
* [Fix] - Importing custom CSV with a colon in the column heading.
* [Fix] - Auto delete history option does not delete import logs
* [Add] - Generate product descriptions for products without description in the importing CSV from product title using ChatGPT API 
* [Add] - Support for importing images from URL without extension.
* [Update] - Tested OK with WooCommerce 7.7.2

= 2.3.0 2023-05-15 =
* Add: Support for product image import from Google Drive public image URL
* Add: HPOS compatibility
* Update: Tested OK with WooCommerce 7.7
* Fix: Disable import log generation function not working

= 2.2.9 2023-04-11 =
* Update: Tested OK with WooCommerce 7.5, WordPress 6.2 & PHP 8.2

= 2.2.8 2023-03-21 =
* Update: Tested OK with WooCommerce 7.5
* Fix: Unable to update product categories using just the term_ID without category slug

= 2.2.7 2023-01-01 =
* WooCommerce 7.2 Tested OK.
* Enhancement: Removed the default attribute column from the export CSV for simple products.

= 2.2.6 2022-11-24 =
* WooCommerce 7.1 Tested OK.
* WordPress 6.1 Tested OK.
* Enhancement: Revised import mapping screen.

= 2.2.5 2022-10-20 =
* WooCommerce 7.0 Tested OK.
* Enhancement: Set Min and Max limit for import and export default batch count in General setting page.

= 2.2.4 2022-08-26 =
* Bugfix: Product - Filter data does not work on product tags/categories for non-latin languages
* Bugfix: Category - Child category import with parent connection
* WooCommerce 6.8 Tested OK.

= 2.2.3 2022-08-09 =
* Enhancement: Product - total sales count in export/import.
* Bugfix: Delimiter reset when using the re-run option from the History section.
* WooCommerce 6.7 Tested OK.

= 2.2.2 2022-07-05 =
* Enhancement: Export to CSV option to Bulk Action drop-down menu in WC Product listing page.
* Enhancement: Import progress screen improvements.
* WooCommerce 6.6 Tested OK.

= 2.2.1 2022-05-26 =
* WordPress 6.0 Tested OK.
* WooCommerce 6.5 Tested OK.
* Enhancement: Option to choose delimiter when exporting.

= 2.2.0 2022-05-12 =
* WC 6.4 Tested OK.
* Enhancement: Bulk delete import logs.

= 2.1.9 2022-04-11 =
* WC 6.3 Tested OK.
* General settings - Option to Include BOM(Byte order mark) in export file to have better special character support.
* Fix: Category and Tag name contains & is exported to the CSV as "&amp"

= 2.1.8 =
* Enhancement: Category export and import.
* Enhancement: Performance and UI improvements, text corrections.
* Compatibility: WooCommerce Cost of Goods.

= 2.1.7 =
* Bugfix: CSV mapping issues.

= 2.1.6 =
* WP 5.9 Tested OK.
* Bug Fix: Issue with exporting SKU with + symbol.

= 2.1.5 =
* Add - Supports auto mapping of default fields from the CSV exported using default WC export tool.
* Add - Option to include Taxonomies (categories/tags/shipping-class), attributes in quick export.

= 2.1.4 =
* WC 6.1 tested OK.
* Enhancement - Export all language products if WPML is active and the language selected is all.
* Enhancement - Inform user when no products to export instead of empty CSV.
* Add - Export products based on stock status.

= 2.1.3 =
* WC 6.0 tested OK.

= 2.1.2 =
* WC 5.9 tested OK.
* Bug Fix: Category import and Tag import - name update issue fix.

= 2.1.1 =
* FAQ updates
* Bug Fix: Upload timeout issue.

= 2.1.0 =
* WC 5.8 Tested OK
* Improvements: Added filter wt_import_csv_parser_keep_bom for escaping Cyrillic letters.
* Fixes: Keeping previously selected options when e-running the export/import and  wp_max_upload_size(), mb_detect_encoding() related issues.
* Improvements:  Product image data like alt text, desc, title etc importing.
* Bug fix: Cannot update or delete product attribute by importing.
* Improvements: Product tags and categories import export optimisation and fix for cyrillic letters.

= 2.0.9 =
* WC 5.7 tested OK.
* Product categories and tags export and import option added.

= 2.0.8 =
* Fix: Product review import.

= 2.0.7 =
* Product review import export support added.

= 2.0.6 =
* Tested OK with WC 5.6.

= 2.0.5 =
* Tested OK with WP 5.8.
* Bug fix: Product attribute update issue.

= 2.0.4 =
* Tested OK with WC 5.5.
* Added external/affiliate and grouped product support.

= 2.0.3 =
* Bug fix: WC 3.8 compatibility.

= 2.0.2 =
* Tested OK with WC 5.4.

= 2.0.1 =
* Custom taxonomy support updated.

= 2.0.0 =
* Heads up! This version has been revamped majorly. The new version update will not automatically adopt the existing settings.
* Please make sure you record/note the existing plugin settings and redo them in the new version after an update.
* Improved UI for better user experience
* Export/Import options: via a pre-saved template or a quick(standard columns) export/import
* Option to export/import selective columns
* Option to reorder columns during export
* Import: Support for different types of delimiters
* Export/Import options: Batch option with configurable batch count
* History of all the Import/Export process
* Dedicated logs for debugging failures

= 1.9.3 =
* Bug fix:- Delete temp file after import

= 1.9.2 =
* Tested OK with WC 5.2.2

= 1.9.1 =
* Tested OK with WC 5.2.0

= 1.9.0 =
* Tested OK with WC 5.1.0 and WP 5.7.0

= 1.8.9 =
* Tested OK with WC 5.0.0 and WP 5.6.1

= 1.8.8 =
* Tested OK with WC 4.9.2 
* Enhancement: product image import.

= 1.8.7 =
* Bug Fix: Handling of 'onbackorder' value for 'stock_status'.

= 1.8.6 =
* Tested OK with WC 4.8.0 and WP 5.6
* Enhancement: product_page_url export.

= 1.8.5 =
* Tested OK with WC 4.7.1 and WP 5.5.3
* New filter options added in product export.

= 1.8.4 =
* Tested OK with WC 4.6.0

= 1.8.3 =
* Tested OK with WC 4.4.1 and WP 5.5.1
* Bug Fix:js error when click select all/ unselect all button in export page.

= 1.8.2 =
* Tested OK with WC 4.3.1
* Bug Fix: Issue with importing multiple image when images are in different folder.

= 1.8.1 =
* Tested OK with WC 4.2.2 and WP 5.4.2

= 1.8.0 =
* Update:- Compatible with meta '_purchase_note'.

= 1.7.9 =
* Tested OK with WC 4.1.0 and WP 5.4.1

= 1.7.8 =
*  Bug Fix:- Problem with activating plugin in multisite.
*  Bug Fix:- Warning when open fails.

= 1.7.7 =
* Tested OK with WP 5.4

= 1.7.6 =
* Tested OK with WC 4.0.1

= 1.7.5 =
* [Improvement] Security

= 1.7.4 =
* Security fix.

= 1.7.3 =
* Tested OK with WC 3.9.2

= 1.7.2 =
* Tested OK with WP 5.3.2
* Content Update.

= 1.7.1 =
* Tested OK with WC 3.8.1 and WP 5.3
* provision to export for Super Admin user.

= 1.7.0 =
* Bug Fix: Price issue with scheduled sales imports. (@derickcpt)

= 1.6.9 =
* Bug Fix: Postmetas not getting imported/updated
* Tweak: Filter name changed from "woocommerce_csv_product_postmeta_defaults" to "woocommerce_wf_csv_product_postmeta_defaults".
* Tested OK with WP 5.2.4

= 1.6.8 =
* Bug Fix: Duplicating SKU when updating product with ID
* Tested OK with WC 3.7.1

= 1.6.7 =
* Content Update.

= 1.6.6 =
* Content Update.
* Tested OK with WP 5.2.3

= 1.6.5 =
* Enhancement: Added 'tab' and 'space' delimiter support for import CSV.
* Bug Fix: Improved error handling for file upload issues.
* Plugin update information hook added.

= 1.6.4 =
* Tested OK with WC 3.7.0

= 1.6.3 =
* Tested OK with WC 3.6.5

= 1.6.2 =
* Tested OK with WC 3.6.4 and WP 5.2.2
* Content update.
* Bug Fix.

= 1.6.1 =
* Tested OK with WC 3.6.3 and WP 5.2
* Content update.

= 1.6.0 =
* Tested OK with WC 3.6.2

= 1.5.9 =
* Tested OK with WC 3.6.1
* Bug Fix: SKU check.

= 1.5.8 =
* Banner Update.
* Content Update.

= 1.5.7 =
* Updates: Tested OK with WC 3.5.7
* Bug Fix:- Image import.
* Support GlotPress(translate.wordpress.org).

= 1.5.6 =
* Updates: Tested OK with WC 3.5.6 and WP 5.1.1
* Bug Fix:- Updating Stock status based on stock quantity.

= 1.5.5 =
* Updates: Tested OK with WC 3.5.5 and WP 5.1
* Bug Fix:- Import process getting stuck randomly.

= 1.5.4 =
* Updates: Tested OK with WC 3.5.4
* Bug Fix:- Importing hierarchical category
* Content Update.

= 1.5.3 =
* Updates: Tested OK with WP 5.0.3 and WC 3.5.3
* Bug Fix:- Image Thumbnail Regeneration error reporting.
* Content Update.

= 1.5.2 =
* Updates: Tested OK with WP 5.0.2 and WC 3.5.2
* Optimized product image import.

= 1.5.1 =
* Content update.

= 1.5.0 =
* Tested OK with WC 3.5.1
* Image importing process optimised
* Bug fix.

= 1.4.9 =
* Tested OK with WC 3.5.0
* Compatible with new meta '_low_stock_amount' which introduced in WC3.5.0

= 1.4.8 =
* Tested OK with WC 3.4.6
* Content Update.

= 1.4.7 =
* Tested OK with WC 3.4.5
* Review link added in footer.
* Bug fix.

= 1.4.6 =
* Tested OK with WC 3.4.4
* Bug fix:importing date.
* Bug fix:- JSON_HEX_APOS on ajax post.
 
= 1.4.5 =
* Tested OK with WC 3.4.3
* Image import process improved.

= 1.4.4 =
* Sample CSVs are updated.
* Enhancement: Improved parsing.
* Updates: Tested OK with WP 4.9.6 and WC 3.4.2
* Fixed warnings.

= 1.4.3 =
* Updates: Interface updated.
* Updates: Tested OK with WC 3.3.3

= 1.4.2 =
* Updates: Tested OK with WP 4.9.4 and WC 3.3.1

= 1.4.1 =
* Minor content updates

= 1.4.0 =
* Updates: Tested OK with WP 4.9

= 1.3.9 =
* BugFix: Invalid argument for foreach loop

= 1.3.8 =
* BugFix: Product not importing at 100n. n=1,2...

= 1.3.7 =
* Fixed conflict with Plus version.

= 1.3.6 =
* Fixed some warnings.

= 1.3.5 =
* Minor Content Change.

= 1.3.4 =
* Updates: Added video tutorial.

= 1.3.3 =
* BugFix: Same title product import message update.

= 1.3.2 =
* Minor content change.

= 1.3.1 =
* Function modified for Woocommerce 3.0 Compatibility.

= 1.3.0 =
* Woocommerce 3.0 Compatibility.

= 1.2.4 =
* Marketing Content Changed.

= 1.2.3 =
* New Icon Updated.

= 1.2.2 =
* Minor content change.

= 1.2.1 =
* Optimization: Image URL parsing.

= 1.2.0 =
* Enhancement: German Translation updates.

= 1.1.9 =
* Enhancement: WPML Support updates.

= 1.1.8 =
* Enhancement: Security improvements and bug fix.

= 1.1.7 =
* Enhancement: Security improvements.

= 1.1.6 =
* Enhancement: Sample CSV updated.

= 1.1.5 =
* Bug fix: Improved parsing.

= 1.1.4 =
* Bug fix: Removed deprecated function.

= 1.1.3 =
* Bug fix: Empty check validation updated.

= 1.1.2 =
* Minor content change.

= 1.1.1 =
* Enhancement: Import products that have same title.

= 1.1.0 =
* Italian Translation added.

= 1.0.9 =
* Hungarian Translation added.

= 1.0.8 =
* Minor content change.

= 1.0.7 =
* Enhancement: Updated support forum links and contact details.

= 1.0.6 =
* Bug Fix: fixed issue with SKU while exporting.

= 1.0.5 =
* Feature: Added Multilingual support and French Translation.

= 1.0.4 =
* Bug Fix: Improved Evaluation field and help message in mapping section.

= 1.0.3 =
* Bug Fix: Sorting priority Set to ID by default while exporting.

= 1.0.2 =
* Bug Fix: Improved parsing while importing product price with currency symbol and thousand separator.

= 1.0.1 =
* Bug Fix: Fixed issue with Evaluation field with single quotes.
* Bug Fix: Option to import gallery images.
* Enhancement: Improved help text for Post name and Stock quantity.
* Enhancement: Improved label text for Product type, category , tags and shipping class.
* Enhancement: Included links to Documentation and sample CSV. 

= 1.0.0 =
* Export and Import WooCommerce Products.